/*
  device print the time of the stream which was actually written
  Copyright (C) 1998  Martin Vogt

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation.

  For more information look at the file COPYRIGHT in this package

 */






#ifndef __TIMERDEVICE_H
#define __TIMERDEVICE_H

#include <devices/outputDevice.h>


class TimerDevice :public OutputDevice {

  float time; 
  int bytes;
  int instanceCnt;

 public:
  TimerDevice();
  ~TimerDevice();
  char* getNodeName();

  float getTime();
  int getBytes();

  void writeIn(NodeDevice* source,DeviceConfig* buf);

  
};

#endif
  
  
